Package com.mockobjects.servlet

# Class MockJspWriter

JspWriter
com.mockobjects.servlet.MockJspWriter

public class MockJspWriter extends JspWriter

## Constructor Summary

Constructors
Constructor
Description
`MockJspWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`void`
`clearBuffer()`
`void`
`close()`
`void`
`flush()`
`int`
`getRemaining()`
`void`
`newLine()`
`void`
`print(boolean b)`
`void`
`print(char c)`
`void`
`print(char[] c)`
`void`
`print(double d)`
`void`
`print(float f)`
`void`
`print(int anInt)`
`void`
`print(long aLong)`
`void`
`print(Object anObject)`
`void`
`print(String aString)`
`void`
`println()`
`void`
`println(boolean b)`
`void`
`println(char c)`
`void`
`println(char[] c)`
`void`
`println(double d)`
`void`
`println(float f)`
`void`
`println(int i)`
`void`
`println(long l)`
`void`
`println(Object anObject)`
`void`
`println(String aString)`
`void`
`setExpectedData(String data)`
`void`
`verify()`
`void`
`write(char[] buf, int off, int len)`

## Constructor Details

### MockJspWriter

public MockJspWriter()

## Method Details

### setExpectedData

public void setExpectedData(String data)

### newLine

public void newLine()

### flush

public void flush()

### print

public void print(double d)

### println

public void println()

### close

public void close()

### print

public void print(int anInt)

### print

public void print(long aLong)

### print

public void print(float f)

### println

public void println(char c)

### clear

public void clear()

### print

public void print(boolean b)

### print

public void print(String aString)

### println

public void println(String aString)

### print

public void print(char c)

### write

public void write(char[] buf, int off, int len)

### println

public void println(char[] c)

### println

public void println(boolean b)

### clearBuffer

public void clearBuffer()

### print

public void print(Object anObject)

### println

public void println(long l)

### println

public void println(int i)

### print

public void print(char[] c)

### println

public void println(float f)

### println

public void println(double d)

### getRemaining

public int getRemaining()

### println

public void println(Object anObject)

### verify

public void verify()